function [tab]=projection(I, angle)

if angle == 0
    tab = zeros(size(I, 1), 1);
    for i=1:size(I, 1)
        tab(i) = 0;
        for j=1:size(I, 2)
            if I(i, j)
                tab(i) = tab(i) + 1;
            end
        end
    end
else
    tab = zeros(size(I, 2), 1);
    for j=1:size(I, 2)
        tab(j) = 0;
        for i=1:size(I, 1)
            if I(i, j)
                tab(j) = tab(j) + 1;
            end
        end
    end
end

